
size = { 2048, 2048 }


include ("Custom Avionics/DRFS/THDRFS.lua")
include ("Custom Avionics/DRFS/XPDRFS.lua")
include ("Custom Avionics/DRFS/XPCMNDS.lua")
include ("Custom Avionics/Fonts/Fonts.lua")





-- power for gauges and systems is exist
createProp("com/custom/xap/gauge_power_avail", "int"); 
createProp("com/dkmp/AvionicsFan", "float", 0);
createProp("com/dkmp/SimV", "int", 0);

createProp("com/dkmp/alert", "float", 0);

createProp("com/dkmp/snap", "int", 0);

createProp("com/dkmp/TWLWR", "float");


createProp("com/dkmp/RotXFL", "float", 0);
createProp("com/dkmp/RotYFL", "float", 0);
createProp("com/dkmp/BungeeFL", "float", 0);
createProp("com/dkmp/CableL", "float", 0);

createProp("com/dkmp/RotXFR", "float", 0);
createProp("com/dkmp/RotYFR", "float", 0);
createProp("com/dkmp/BungeeFR", "float", 0);


createProp("com/dkmp/RotXRL", "float", 0);
createProp("com/dkmp/RotYRL", "float", 0);
createProp("com/dkmp/BungeeRL", "float", 0);
createProp("com/dkmp/CableR", "float", 0);

createProp("com/dkmp/RotXRR", "float", 0);
createProp("com/dkmp/RotYRR", "float", 0);
createProp("com/dkmp/BungeeRR", "float", 0);



createProp("com/dkmp/PropRPML", "float", 0);
createProp("com/dkmp/PropRPMR", "float", 0);

createProp("com/dkmp/staticelements", "int", 1);
createProp("com/dkmp/tintedwindows", "float", 0);
createProp("com/dkmp/windowrefl", "float", 1);
createProp("com/dkmp/Tundra", "int", 0);
createProp("com/dkmp/Ski", "int", 0);
createProp("com/dkmp/DoorWindow", "int", 0);
createProp("com/dkmp/CargoPod", "int", 0);
createProp("com/dkmp/PanelMode", "int", 0);
createProp("com/dkmp/Float", "int", 0);
createProp("com/dkmp/Amphib", "int", 0);



createProp("com/dkmp/FlapTransition", "float", 0);

createProp("com/dkmp/Menu1", "float", 1);
createProp("com/dkmp/Menu2", "float", 1);
createProp("com/dkmp/Menu3", "float", 1);

-- differential throttle control

createProp("com/dkmp/ThrottleDifferential", "float", 0);
createProp("com/dkmp/ThrottleLeftInt", "float", 0);
createProp("com/dkmp/ThrottleRightInt", "float", 0);

createProp("com/dkmp/distL", "float", 0);
createProp("com/dkmp/distR", "float", 0);

-- differential prop control

createProp("com/dkmp/PropDifferential", "float", 0);
createProp("com/dkmp/PropLeftInt", "float", 0);
createProp("com/dkmp/PropRightInt", "float", 0);

-- differential mixture control

createProp("com/dkmp/MixtureDifferential", "float", 0);
createProp("com/dkmp/MixtureLeftInt", "float", 0);
createProp("com/dkmp/MixtureRightInt", "float", 0);

-- Night Lighting reflections

createProp("com/dkmp/BeaconReflection", "float", 0);
createProp("com/dkmp/NavReflection", "float", 0);
createProp("com/dkmp/CabinIllumination_0", "float", 0);
createProp("com/dkmp/CabinIllumination_1", "float", 0);
createProp("com/dkmp/CabinIllumination_2", "float", 0);

--fuel used and endurance

createProp("com/dkmp/Endurance_h", "float", 0);
createProp("com/dkmp/TotalFuelUsed_kg", "float", 0);
createProp("com/dkmp/FFknob", "int", 0);
createProp("com/dkmp/GalRem", "int", 0);
createProp("com/dkmp/GalUsed", "int", 0);
createProp("com/dkmp/SetToTank", "int", 0);
createProp("com/dkmp/InitialFuel", "float", 0);


createProp("com/dkmp/FuelL", "float", 0);
createProp("com/dkmp/FuelR", "float", 0);

createProp("com/dkmp/FuelSwL", "float", 1);
createProp("com/dkmp/FuelSwR", "float", 1);

createProp("com/dkmp/StartL", "float", 0);
createProp("com/dkmp/StartR", "float", 0);

createProp("com/dkmp/StartLman", "float", 0);
createProp("com/dkmp/StartRman", "float", 0);

--Miscellaneous Cabin Air Knobs

createProp("com/dkmp/CabinHeat", "float", 0);
createProp("com/dkmp/AftCabinHeat", "float", 0);
createProp("com/dkmp/Defrost", "float", 0);
createProp("com/dkmp/Oxygen", "float", 0);




-- radio frequency knobs

createProp("com/dkmp/com1freq", "float", 0);
createProp("com/dkmp/nav1freq", "float", 0);
createProp("com/dkmp/com2freq", "float", 0);
createProp("com/dkmp/nav2freq", "float", 0);


-- needles to zero
createProp("com/dkmp/altAmpsL", "float", 0);
createProp("com/dkmp/CHTL", "float", 0);
createProp("com/dkmp/OilTempL", "float", 0);
createProp("com/dkmp/OilPressL", "float", 0);
createProp("com/dkmp/FuelL", "float", 0);
createProp("com/dkmp/altAmpsR", "float", 0);
createProp("com/dkmp/CHTR", "float", 0);
createProp("com/dkmp/OilTempR", "float", 0);
createProp("com/dkmp/OilPressR", "float", 0);
createProp("com/dkmp/FuelR", "float", 0);

createProp("com/dkmp/ADF1", "float", 0);

createProp("com/dkmp/DeIcePressure", "float", 0);

createProp("com/dkmp/propAmps", "float", 0);

--Autopilot  2D Pane Buttons
createProp("com/dkmp/APPR", "float", 0);
createProp("com/dkmp/APDn", "float", 0);
createProp("com/dkmp/APUp", "float", 0);


-- Views

createProp("com/dkmp/View1", "float", 0);
createProp("com/dkmp/View2", "float", 0);
createProp("com/dkmp/View3", "float", 0);
createProp("com/dkmp/View4", "float", 0);
createProp("com/dkmp/View5", "float", 0);
createProp("com/dkmp/View6", "float", 0);
createProp("com/dkmp/View7", "float", 0);
createProp("com/dkmp/View8", "float", 0);
createProp("com/dkmp/View9", "float", 0);
createProp("com/dkmp/View10", "float", 0);

createProp("com/dkmp/Psi", "float", 0);

createProp("com/dkmp/EGTL1", "float", 0);
createProp("com/dkmp/EGTL2", "float", 0);
createProp("com/dkmp/EGTL3", "float", 0);
createProp("com/dkmp/EGTL4", "float", 0);
createProp("com/dkmp/EGTL5", "float", 0);
createProp("com/dkmp/EGTL6", "float", 0);

createProp("com/dkmp/EGTR1", "float", 0);
createProp("com/dkmp/EGTR2", "float", 0);
createProp("com/dkmp/EGTR3", "float", 0);
createProp("com/dkmp/EGTR4", "float", 0);
createProp("com/dkmp/EGTR5", "float", 0);
createProp("com/dkmp/EGTR6", "float", 0);

createProp("com/dkmp/EGTPeakL", "float", 0);
createProp("com/dkmp/EGTPeakR", "float", 0);

createProp("com/dkmp/EGTLd", "float", 0);
createProp("com/dkmp/EGTRd", "float", 0);

createProp("com/dkmp/SoundDir", "float", 0);
createProp("com/dkmp/SoundFB", "float", 0);
createProp("com/dkmp/SoundLR", "float", 0);

createProp("com/dkmp/mastervolknob", "float", 1);

createProp("com/dkmp/mastervol", "float", 0);
--createProp("maxF", "float", 0);
--createProp("minF", "float", 0);
--createProp("maxB", "float", 0);
--createProp("minB", "float", 0);

createProp("com/dkmp/RatchetTest", "float", 0);

createProp("com/dkmp/VVIhide", "float", 0);

createProp("com/dkmp/frame_number", "int", 0);

createProp("frame_time", "float", 0);

createProp("maxF", "float", 110);
createProp("minF", "float", 75);
createProp("maxB", "float", 375);
createProp("minB", "float", 75);
createProp("volume", "float", 100);
createProp("volumeX", "float", 1);

--Audio Panel lights

createProp("com/dkmp/C1", "int", 0);
createProp("com/dkmp/C2", "int", 0);
createProp("com/dkmp/D", "int", 0);
createProp("com/dkmp/M", "int", 0);
createProp("com/dkmp/A", "int", 0);
createProp("com/dkmp/N1", "int", 0);
createProp("com/dkmp/N2", "int", 0);
createProp("com/dkmp/AX", "int", 0);
createProp("com/dkmp/S", "int", 0);
createProp("com/dkmp/Pwr", "int", 0);

createProp("com/dkmp/NoseGear", "int", 0);
createProp("com/dkmp/LeftGear", "int", 0);
createProp("com/dkmp/RightGear", "int", 0);


createProp("com/dkmp/GNS430", "int", 0);

createProp("com/dkmp/GyroAir", "float", 0);


createProp("com/dkmp/MaxWeight", "float", 0);

createCommand("cameras/1", "main_menu_subpanel")
createCommand("cameras/2", "main_menu_subpanel")
createCommand("cameras/3", "main_menu_subpanel")
createCommand("cameras/4", "main_menu_subpanel")
createCommand("cameras/5", "main_menu_subpanel")
createCommand("cameras/6", "main_menu_subpanel")
createCommand("cameras/7", "main_menu_subpanel")
createCommand("cameras/8", "main_menu_subpanel")
createCommand("cameras/9", "main_menu_subpanel")
createCommand("cameras/10", "main_menu_subpanel")

--Head Movements

createProp("com/dkmp/LHeadX", "float", 0); --used in .obj
createProp("com/dkmp/LHeadY", "float", 0);
createProp("com/dkmp/LHeadZ", "float", 0);
createProp("com/dkmp/LHZ", "float", 0); --intermediate

createProp("com/dkmp/RHeadX", "float", 0);
createProp("com/dkmp/RHeadY", "float", 0);
createProp("com/dkmp/RHeadZ", "float", 0);
createProp("com/dkmp/RHZ", "float", 0);

createProp("com/dkmp/timer", "float", 0);

createProp("com/dkmp/timer2", "float", 0);

createProp("com/dkmp/hidepilot", "int", 0);

createProp("com/dkmp/GearHandle", "int");
createProp("com/dkmp/GearWater", "int");
createProp("com/dkmp/GearLand", "int");

createProp("com/dkmp/altitude_dial_ft", "float", 0);

--Deflections (Phase-out)



--createCommand("sim/custom/xap/pop-up1", "Camera View Pop-up Panel")
--createCommand("sim/custom/xap/pop-up2", "Autopilot Pop-up Panel")
defineProperty("window_height", globalPropertyi("sim/graphics/view/window_height"))

defineProperty("FloatL", globalPropertyi("sim/aircraft/prop/acf_part_eq[58]"))

defineProperty("propDiscOverride_0", globalPropertyi("sim/flightmodel2/engines/prop_disc/override[0]"))
defineProperty("propDiscOverride_1", globalPropertyi("sim/flightmodel2/engines/prop_disc/override[1]"))

defineProperty("psiSim", globalPropertyf("sim/graphics/view/pilots_head_psi"))
defineProperty("psi", globalPropertyf("com/dkmp/Psi"))

defineProperty("timer", globalPropertyf("com/dkmp/timer"))

local Vcoef = get(window_height) / 768



function onAvionicsDone()
set(propDiscOverride_0, 0)
end

local Vcoef = get(window_height) / 768

views = subpanel {

    -- default panel position
    position = { 38, 210, 500, 250  };

    -- disable default background
    noBackground = true;

    -- command ID for shortcut binding
    command = "xap/panels/0";

    -- panel descriptions for shortcuts setup dialog
    description = "Toggle Views Panel";

    -- components of panel
    components = {
        -- Views
        views {  position = { 0, 0, 500, 250 } };
    };


};

if get(FloatL) == 0 then 

    options = subpanel {

    -- default panel position
    position = { 38, 25, 500, 189  };

    -- disable default background
    noBackground = true;

    -- command ID for shortcut binding
    command = "xap/panels/1";

    -- panel descriptions for shortcuts setup dialog
    description = "Toggle Views Panel";

    -- components of panel
    components = {
        -- Views
        options {  position = { 0, 0, 500, 189 } };
    };


};

    else

    optionsFloat = subpanel {

    -- default panel position
    position = { 38, 25, 500, 189  };

    -- disable default background
    noBackground = true;

    -- command ID for shortcut binding
    command = "xap/panels/1";

    -- panel descriptions for shortcuts setup dialog
    description = "Toggle Views Panel";

    -- components of panel
    components = {
        -- Views
        optionsFloat {  position = { 0, 0, 500, 189 } };
    };


};

end


Autopilot = subpanel {

    -- default panel position
    position = { 10, 650, 300, 130 };

    -- disable default background
    noBackground = true;

    -- command ID for shortcut binding
    command = "xap/panels/2";

    -- panel descriptions for shortcuts setup dialog
    description = "Toggle Autopilot Parameters operator panel";

    -- components of panel
    components = {
        
        Autopilot {  position = { 0, 0, 300, 130 } };
    };


};

--small push-button permanent menus
CMenu = subpanel {position = {0 , 165, 30, 39},  noBackground = true,  noResize = true,  noClose = true, components = {  CMenu {  position = { 1, 10, 30, 39 } }; };}	set(CMenu.movable, false)
OMenu = subpanel {position = {0 , 130, 30, 39},  noBackground = true,  noResize = true,  noClose = true, components = {  OMenu {  position = { 1, 10, 30, 39 } }; };}	set(OMenu.movable, false)
--AMenu = subpanel {position = {0 ,  95, 30, 39},  noBackground = true,  noResize = true,  noClose = true, components = {  AMenu {  position = { 1, 10, 30, 39 } }; };}	set(AMenu.movable, false)




components = { 


    -- update aircraft logic
    FlightDyn { },
    logic { }, 
	sound {  },
	soundEngineL {  },
--	soundEngineR {  },
	time_logic {  },
	PilotHeads {  },
	
    PanelLogic {
       panel_1 = CMenu,
       panel_2 = OMenu,
       --panel_3 = weightNBalance,
   },	
	
		Scroll      {			 position = { 0, 	0, 2048, 2048             },  },
	

}
